org.jbpm.marshalling.impl

## Class JBPMMessages.WorkItem

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.jbpm.marshalling.impl.JBPMMessages.WorkItem

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.WorkItemOrBuilder
  Enclosing class:
    JBPMMessages

      public static final class JBPMMessages.WorkItem
      extends com.google.protobuf.GeneratedMessage
      implements JBPMMessages.WorkItemOrBuilder

  Protobuf type `org.jbpm.marshalling.WorkItem`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.WorkItem.Builder` Protobuf type `org.jbpm.marshalling.WorkItem`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEPLOYMENT_ID_FIELD_NUMBER`
    `static int` | `ID_FIELD_NUMBER`
    `static int` | `NAME_FIELD_NUMBER`
    `static int` | `NODE_ID_FIELD_NUMBER`
    `static int` | `NODE_INSTANCE_ID_FIELD_NUMBER`
    `static com.google.protobuf.Parser<JBPMMessages.WorkItem>` | `PARSER`
    `static int` | `PROCESS_INSTANCES_ID_FIELD_NUMBER`
    `static int` | `STATE_FIELD_NUMBER`
    `static int` | `VARIABLE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JBPMMessages.WorkItem` | `getDefaultInstance()`
    `JBPMMessages.WorkItem` | `getDefaultInstanceForType()`
    `String` | `getDeploymentId()` `optional string deployment_id = 6;`
    `com.google.protobuf.ByteString` | `getDeploymentIdBytes()` `optional string deployment_id = 6;`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `long` | `getId()` `optional int64 id = 1;`
    `String` | `getName()` `optional string name = 3;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 3;`
    `long` | `getNodeId()` `optional int64 node_id = 8;`
    `long` | `getNodeInstanceId()` `optional int64 node_instance_id = 7;`
    `com.google.protobuf.Parser<JBPMMessages.WorkItem>` | `getParserForType()`
    `long` | `getProcessInstancesId()` `optional int64 process_instances_id = 2;`
    `int` | `getSerializedSize()`
    `int` | `getState()` `optional int32 state = 4;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `boolean` | `hasDeploymentId()` `optional string deployment_id = 6;`
    `boolean` | `hasId()` `optional int64 id = 1;`
    `boolean` | `hasName()` `optional string name = 3;`
    `boolean` | `hasNodeId()` `optional int64 node_id = 8;`
    `boolean` | `hasNodeInstanceId()` `optional int64 node_instance_id = 7;`
    `boolean` | `hasProcessInstancesId()` `optional int64 process_instances_id = 2;`
    `boolean` | `hasState()` `optional int32 state = 4;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.WorkItem.Builder` | `newBuilder()`
    `static JBPMMessages.WorkItem.Builder` | `newBuilder(JBPMMessages.WorkItem prototype)`
    `JBPMMessages.WorkItem.Builder` | `newBuilderForType()`
    `protected JBPMMessages.WorkItem.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static JBPMMessages.WorkItem` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.WorkItem` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.WorkItem` | `parseFrom(byte[] data)`
    `static JBPMMessages.WorkItem` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.WorkItem` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.WorkItem` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.WorkItem` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.WorkItem` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.WorkItem` | `parseFrom(InputStream input)`
    `static JBPMMessages.WorkItem` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.WorkItem.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, newFileScopedGeneratedExtension, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashCode, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<JBPMMessages.WorkItem> PARSER

    - #### ID_FIELD_NUMBER

          public static final int ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCES_ID_FIELD_NUMBER

          public static final int PROCESS_INSTANCES_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NAME_FIELD_NUMBER

          public static final int NAME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STATE_FIELD_NUMBER

          public static final int STATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### VARIABLE_FIELD_NUMBER

          public static final int VARIABLE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_ID_FIELD_NUMBER

          public static final int DEPLOYMENT_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NODE_INSTANCE_ID_FIELD_NUMBER

          public static final int NODE_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NODE_ID_FIELD_NUMBER

          public static final int NODE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static JBPMMessages.WorkItem getDefaultInstance()

    - #### getDefaultInstanceForType

          public JBPMMessages.WorkItem getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.WorkItem> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasId

          public boolean hasId()

      `optional int64 id = 1;`
      Specified by:
        `hasId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getId

          public long getId()

      `optional int64 id = 1;`
      Specified by:
        `getId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### hasProcessInstancesId

          public boolean hasProcessInstancesId()

      `optional int64 process_instances_id = 2;`
      Specified by:
        `hasProcessInstancesId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getProcessInstancesId

          public long getProcessInstancesId()

      `optional int64 process_instances_id = 2;`
      Specified by:
        `getProcessInstancesId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### hasName

          public boolean hasName()

      `optional string name = 3;`
      Specified by:
        `hasName` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getName

          public String getName()

      `optional string name = 3;`
      Specified by:
        `getName` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getNameBytes

          public com.google.protobuf.ByteString getNameBytes()

      `optional string name = 3;`
      Specified by:
        `getNameBytes` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### hasState

          public boolean hasState()

      `optional int32 state = 4;`
      Specified by:
        `hasState` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getState

          public int getState()

      `optional int32 state = 4;`
      Specified by:
        `getState` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariableList

          public List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableList` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariableOrBuilderList

          public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableOrBuilderList` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariableCount

          public int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableCount` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariable

          public JBPMMessages.Variable getVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariable` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getVariableOrBuilder

          public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`
      Specified by:
        `getVariableOrBuilder` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### hasDeploymentId

          public boolean hasDeploymentId()

      `optional string deployment_id = 6;`
      Specified by:
        `hasDeploymentId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getDeploymentId

          public String getDeploymentId()

      `optional string deployment_id = 6;`
      Specified by:
        `getDeploymentId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getDeploymentIdBytes

          public com.google.protobuf.ByteString getDeploymentIdBytes()

      `optional string deployment_id = 6;`
      Specified by:
        `getDeploymentIdBytes` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### hasNodeInstanceId

          public boolean hasNodeInstanceId()

      `optional int64 node_instance_id = 7;`
      Specified by:
        `hasNodeInstanceId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getNodeInstanceId

          public long getNodeInstanceId()

      `optional int64 node_instance_id = 7;`
      Specified by:
        `getNodeInstanceId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### hasNodeId

          public boolean hasNodeId()

      `optional int64 node_id = 8;`
      Specified by:
        `hasNodeId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### getNodeId

          public long getNodeId()

      `optional int64 node_id = 8;`
      Specified by:
        `getNodeId` in interface `JBPMMessages.WorkItemOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(com.google.protobuf.ByteString data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(com.google.protobuf.ByteString data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(byte[] data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(byte[] data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(InputStream input)
                                                 throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(InputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.WorkItem parseDelimitedFrom(InputStream input)
                                                          throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.WorkItem parseDelimitedFrom(InputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(com.google.protobuf.CodedInputStream input)
                                                 throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.WorkItem parseFrom(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static JBPMMessages.WorkItem.Builder newBuilder()

    - #### newBuilderForType

          public JBPMMessages.WorkItem.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.WorkItem.Builder newBuilder(JBPMMessages.WorkItem prototype)

    - #### toBuilder

          public JBPMMessages.WorkItem.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.WorkItem.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.